Cancel single reservation by id - Only for draft
PUT
/v2/reservations/{reservationID}/cancel
const url = 'https://api-crm-staging.divinea.com/api/v2/reservations/example/cancel';const options = {method: 'PUT', headers: {APIKey: '<APIKey>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api-crm-staging.divinea.com/api/v2/reservations/example/cancel \ --header 'APIKey: <APIKey>'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”reservationID
required
string
ReservationID
Responses
Sezione intitolata “Responses”Success
Media type*/*
VwReservation
object
checkedIn
boolean
contactId
integer format: int64
createdAt
string format: date-time
date
string format: date
discountTotalCents
integer format: int64
dueTotalCents
integer format: int64
employeeId
string format: uuid
endDateTime
string format: date-time
experience
Array<object>
Map«string,object»object
key
additional properties
object
experienceId
string format: uuid
experiencePrices
Array<object>
Map«string,object»object
key
additional properties
object
experiencePricesExtras
Array<object>
Map«string,object»object
key
additional properties
object
experienceTitleIt
string
experienceTranslations
Array<object>
Map«string,object»object
key
additional properties
object
feedback
string
giftAmountCents
integer format: int64
giftId
string format: uuid
grossTotalCents
integer format: int64
guestCount01
integer format: int64
guestCountTotal
integer format: int64
hasPaymentLink
boolean
id
string format: uuid
invoiceData
boolean
isSales
boolean
isTourOperator
boolean
languageIso
string
manualDiscountTotalCents
integer format: int64
manualOriginId
integer format: int64
manualPaymentMethodId
integer format: int64
masterContactName
string
message
string
netTotalCents
integer format: int64
notes
string
notifyContact
boolean
optionalData
object
origin
string
otherData
object
paid
boolean
paidAt
string format: date-time
paymentCurrency
string
paymentId
string format: uuid
paymentMethod
string
refundedAt
string format: date-time
refundedTotalCents
integer format: int64
reservationContacts
Array<object>
Map«string,object»object
key
additional properties
object
reservationMasterContact
object
reservationOrigin
string
reservationOriginIt
string
reservationPriceExtras
Array<object>
Map«string,object»object
key
additional properties
object
reservationPriceLabels
Array<object>
Map«string,object»object
key
additional properties
object
roomId
string format: uuid
startDateTime
string format: date-time
state
string
time
LocalTime
object
hour
integer format: int32
minute
integer format: int32
nano
integer format: int32
second
integer format: int32
type
string
updatedAt
string format: date-time
visitReasonId
string
wineryChannelId
string
wineryChannelTypeId
string
wineryId
string format: uuid
Error not intercepted - please contact the administrator.
Media type*/*